Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.mdex.cache
Class NoOpLoggingCacheManager

    java.lang.Object
      com.endeca.portal.mdex.cache.NoOpLoggingCacheManager

All Implemented Interfaces:
  MDEXCacheManager

    public class NoOpLoggingCacheManager

extends java.lang.Object
implements MDEXCacheManager

A proof of concept MDEXCacheManager implementation. This implementation is similar to the DefaultCacheManager in that it never caches any results and never returns any cached results. The NoOpLoggingCacheManager will log a message each time one of its methods is called.

Author:
  Endeca Technologies, Inc.

Constructor Summary
`NoOpLoggingCacheManager()`

Method Summary
`void` | `cacheResults(com.endeca.mdex.conversation.ConversationPort port, com.endeca.mdex.conversation.Request query, com.endeca.mdex.conversation.Results results)` Put results into the cache for MDEX 7 queries
`void` | `cacheResults(com.endeca.navigation.HttpENEConnection connection, com.endeca.navigation.ENEQuery query, com.endeca.navigation.ENEQueryResults results)` Put results into the cache for MDEX 6 queries
`com.endeca.mdex.conversation.Results` | `getCachedResults(com.endeca.mdex.conversation.ConversationPort port, com.endeca.mdex.conversation.Request query)` Get the cached version of results for MDEX 7 queries
`com.endeca.navigation.ENEQueryResults` | `getCachedResults(com.endeca.navigation.HttpENEConnection connection, com.endeca.navigation.ENEQuery query)` Get the cached version of results for MDEX 6 queries

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoOpLoggingCacheManager

    public NoOpLoggingCacheManager()

Method Detail

### getCachedResults

    public com.endeca.navigation.ENEQueryResults getCachedResults(com.endeca.navigation.HttpENEConnection connection,
                                                                  com.endeca.navigation.ENEQuery query)

  Description copied from interface: `MDEXCacheManager`
  Get the cached version of results for MDEX 6 queries

  Specified by:
    `getCachedResults` in interface `MDEXCacheManager`
  Returns:
    the cached results

### cacheResults

    public void cacheResults(com.endeca.navigation.HttpENEConnection connection,
                             com.endeca.navigation.ENEQuery query,
                             com.endeca.navigation.ENEQueryResults results)

  Description copied from interface: `MDEXCacheManager`
  Put results into the cache for MDEX 6 queries

  Specified by:
    `cacheResults` in interface `MDEXCacheManager`

### getCachedResults

    public com.endeca.mdex.conversation.Results getCachedResults(com.endeca.mdex.conversation.ConversationPort port,
                                                                 com.endeca.mdex.conversation.Request query)

  Description copied from interface: `MDEXCacheManager`
  Get the cached version of results for MDEX 7 queries

  Specified by:
    `getCachedResults` in interface `MDEXCacheManager`
  Returns:
    the cached results

### cacheResults

    public void cacheResults(com.endeca.mdex.conversation.ConversationPort port,
                             com.endeca.mdex.conversation.Request query,
                             com.endeca.mdex.conversation.Results results)

  Description copied from interface: `MDEXCacheManager`
  Put results into the cache for MDEX 7 queries

  Specified by:
    `cacheResults` in interface `MDEXCacheManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD